name: test-conda-env
channels:
- conda-forge
- defaults

dependencies:
- python=3
- git
- conda-forge::numpy
- pocl
- mako
- pyopencl
- islpy
- gmsh

# for Pytential
- cython

# for pymetis
- pybind11

# Only needed to make pylint succeed
- matplotlib

- pip
- pip:
    - git+https://github.com/inducer/pymbolic
    - git+https://github.com/inducer/loopy

    - git+https://gitlab.tiker.net/inducer/gmsh_interop.git
    - git+https://gitlab.tiker.net/inducer/modepy.git

    # required by pytential, which is in turn needed for some tests
    - git+https://gitlab.tiker.net/inducer/boxtree.git
    - git+https://gitlab.tiker.net/inducer/sumpy.git
    - git+https://gitlab.tiker.net/inducer/pytential.git

    # requires pymetis for tests for partition_mesh
    - git+https://gitlab.tiker.net/inducer/pymetis.git
